#!/usr/bin/python
 
import spidev #bibliotheque SPI
import time

# active le BUS SPI 
spi = spidev.SpiDev()   #nouvel objet SPI
spi.open(0,0)		# sur port SPI 0 CS 0
spi.max_speed_hz = 1000000  # vitesse en Hz

def Initialise():
  spi.writebytes([0x09])  #decoder BCD
  spi.writebytes([0xFF])  #(0 pour ne pas decoder)

  spi.writebytes([0x0a])   # regle la luminance
  spi.writebytes([0x08])   # 17/32

  spi.writebytes([0x0b])   # affiche les 8 digits
  spi.writebytes([0x07])

  spi.writebytes([0x0c])  # power-down mode: 0. normal mode:1
  spi.writebytes([0x01])  # (0 pour shutdown)

  spi.writebytes([0x0f])  # test display: 1; EOT. display: 0
  spi.writebytes([0x00])  # (1 pour test)

def ecr_nb(digit,val):
	spi.xfer2([digit,val])

def aff(nb):
        ecr_nb(1,nb%10)
	ecr_nb(2,nb/10 %10)
	ecr_nb(3,nb/100 %10)	
	ecr_nb(4,nb/1000 %10)	
	ecr_nb(5,nb/10000 %10)	
	ecr_nb(6,nb/100000 %10)	
	ecr_nb(7,nb/1000000 %10)	
	ecr_nb(8,nb/10000000 %10)	
	

try:
	Initialise()
	print 'mode : ' ,spi.mode
	print 'cshight : ' ,spi.cshigh
	print 'lsbfirst : ' ,spi.lsbfirst
	print 'threewire : ' ,spi.threewire
	print 'loop : ' ,spi.loop
	print 'bits_per_word : ' ,spi.bits_per_word
	print 'max_speed_hz : ' ,spi.max_speed_hz
	print 'C EST PARTI CTRL-C pour arreter'

	v=0
	while True:   # un simple compteur
		aff(v)
		v+=1
		if v>999:
                   V=0
		time.sleep(0.01)

except KeyboardInterrupt:
	spi.close()
