#!/usr/bin/env python
# VERSION SERVEUR WEB
# l acces au bus I2C de la Raspberry Pi necessite :
#sudo modprobe i2c-dev
#sudo modprobe i2c-bcm2708
# pour verifier la presence d'un peripherique i2c :
#sudo i2cdetect -y 1

import smbus # i2c-dev et i2c-bcm2707 doivent etre charges
import time
import web, wiringpi #charge serveur WEB
from web import form

bus_pi = smbus.SMBus(1)
# adresse I2C du TMP102                                                      
addrTMP102 = 0x48

while True:
  try:
    x = bus_pi.read_word_data(addrTMP102,0)
#la lecture est pf puis PF , il faut les permuter
    msb=x>>8
    lsb=x&0x00FF
    wtemp=((lsb<<8)|msb)>>4
    print 'TMP102 I2C:  0x{0:02x} Lecture 0x{1:04x}'.format( addrTMP102,wtemp )
    print 'temperature : ',wtemp*0.0625 ,'degres C\n\r'
    time.sleep(1.0)   # une mesure par seconde
  except:             #erreur ou ctrl-c
    print '...fin de la mesure...'
    break
